com.io7m.r2.core.cursors

## Class R2VertexCursorPUNT16

- java.lang.Object
- - com.io7m.r2.core.cursors.R2VertexCursorPUNT16

- All Implemented Interfaces:
    R2VertexCursorProducerInfoType, R2VertexCursorProducerType<ByteBuffer>

      public final class R2VertexCursorPUNT16
      extends Object
      implements R2VertexCursorProducerType<ByteBuffer>, R2VertexCursorProducerInfoType

  A cursor for the `R2VertexPUNT16ByteBuffered` type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2VertexCursorPUNT16` | `getInstance()`
    `R2VertexCursorType` | `newCursor(ByteBuffer ctx)`
    `com.io7m.jcanephora.core.JCGLScalarType` | `normalElementType()`
    `long` | `normalOffset()`
    `com.io7m.jcanephora.core.JCGLScalarType` | `positionElementType()`
    `long` | `positionOffset()`
    `com.io7m.jcanephora.core.JCGLScalarType` | `tangent4ElementType()`
    `long` | `tangent4Offset()`
    `com.io7m.jcanephora.core.JCGLScalarType` | `uvElementType()`
    `long` | `uvOffset()`
    `long` | `vertexSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static R2VertexCursorPUNT16 getInstance()

      Returns:
        Access to a `R2VertexCursorPUNT16` instance

    - #### positionElementType

          public com.io7m.jcanephora.core.JCGLScalarType positionElementType()

      Specified by:
        `positionElementType` in interface `R2VertexCursorProducerInfoType`
      Returns:
        The scalar type used to hold the elements of position vectors

    - #### positionOffset

          public long positionOffset()

      Specified by:
        `positionOffset` in interface `R2VertexCursorProducerInfoType`
      Returns:
        The offset in octets of the position vector from the start of each vertex

    - #### normalElementType

          public com.io7m.jcanephora.core.JCGLScalarType normalElementType()

      Specified by:
        `normalElementType` in interface `R2VertexCursorProducerInfoType`
      Returns:
        The scalar type used to hold the elements of normal vectors

    - #### normalOffset

          public long normalOffset()

      Specified by:
        `normalOffset` in interface `R2VertexCursorProducerInfoType`
      Returns:
        The offset in octets of the normal vector from the start of each vertex

    - #### uvElementType

          public com.io7m.jcanephora.core.JCGLScalarType uvElementType()

      Specified by:
        `uvElementType` in interface `R2VertexCursorProducerInfoType`
      Returns:
        The scalar type used to hold the elements of UV vectors

    - #### uvOffset

          public long uvOffset()

      Specified by:
        `uvOffset` in interface `R2VertexCursorProducerInfoType`
      Returns:
        The offset in octets of the UV vector from the start of each vertex

    - #### tangent4ElementType

          public com.io7m.jcanephora.core.JCGLScalarType tangent4ElementType()

      Specified by:
        `tangent4ElementType` in interface `R2VertexCursorProducerInfoType`
      Returns:
        The scalar type used to hold the elements of tangent vectors

    - #### tangent4Offset

          public long tangent4Offset()

      Specified by:
        `tangent4Offset` in interface `R2VertexCursorProducerInfoType`
      Returns:
        The offset in octets of the tangent4 vector from the start of each vertex

    - #### vertexSize

          public long vertexSize()

      Specified by:
        `vertexSize` in interface `R2VertexCursorProducerInfoType`
      Returns:
        The size in octets of one vertex

    - #### newCursor

          public R2VertexCursorType newCursor(ByteBuffer ctx)

      Specified by:
        `newCursor` in interface `R2VertexCursorProducerType<ByteBuffer>`
      Parameters:
        `ctx` - A user-defined value
      Returns:
        A new cursor

Copyright © 2016 <code@io7m.com> http://io7m.com